> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/56.-zagruzka-fotografii.md).

# 56. Загрузка фотографий

Загрузка фото через S3 состоит из 2 шагов:

1. **Запросите предварительно подписанную ссылку для последующей прямой загрузки.**&#x20;

В качестве входных данных:&#x20;

* fileExtention - jpeg ИЛИ jpg ИЛИ png,&#x20;
* farmUuid - UUID фермы,
* fieldUuid - UUID поля,
* noteUuid - UUID заметки для прямой ссылки на загруженное фото,
* commentUuid - UUID комментария для прямой ссылки на загруженное фото (необязательно).&#x20;

В качестве выходных данных:

* uuid - ожидаемый UUID после загрузки и обработки,
* farmUuid - тот же, что и во входных данных,
* fieldUuid - тот же, что и во входных данных,
* noteUuid - тот же, что и во входных данных,
* commentUuid - тот же, что и во входных данных (если был),
* s3Url - URL, используемый для загрузки фото,
* s3Fields - атрибуты, передаваемые в форме загрузки фото.

Подробности о том, как использовать s3Url и s3Fields, описаны во втором шаге.&#x20;

Атрибуты действительны только 60 минут для загрузки фото.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Отправьте локальное фото на s3Url с предопределёнными атрибутами формы из s3Fields.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Уведомления о процессе обработки будут доставляться через механизм подписки, описанный в GraphQL -> Samples -> [1. Подписка: Получение событий](/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/1.-podpiska-poluchenie-sobytii.md).

{% hint style="info" %}
Используйте ‘Accept-Encoding’:’gzip, deflate, br’.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/ru/dokumentaciya-api/obzor-zaprosov-geopard-api/56.-zagruzka-fotografii.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
